previous next contents | bottom

# Xdialog documentation - GTK+ options

As most GTK+ programs, Xdialog does recognize the GTK+ options. Only a few of them are actually useful though (most of them dealing with GTK+ debugging facilities).

## Available GTK+ options (1):

     --display <display>
     --name    <name>
     --class   <class>
     --sync
     --no-xshm
     --g-fatal-warnings
     --gtk-module   <module>
     --gtk-debug    <flags>
     --gtk-no-debug <flags>
     --gdk-debug    <flags>
     --gdk-no-debug <flags>

(1) there may be more or less options available, depending on the GTK+ version, please refer to the GTK+ documentation for options actually available on your system.

- --display <display>

  This option allows to specify a X <display> on which the Xdialog window is to be open. This is useful when invoking Xdialog from a script executed by a daemon (e.g.: atd or crond) which does not set the $DISPLAY variable needed by GTK+.

- --name <name>
- --class <class>

  These options allow to set respectively the <name> and the <class> of a GTK+ program, for use by the window manager. Xdialog got its own --wmclass option that sets both its name and class to the same value. You may still want to use these two GTK+ options if you need to set different name and class values.

- --sync

  Tells GTK+ (actually the GDK part of GTK+) to make X calls synchronous. This will give very smooth display updates, but very slow as well... No practical use.

- --no-xshm

  Prevents GTK+ (actually the GDK part of GTK+) to use the X shared memory extension. In case your X server XSHM is broken (in this case, upgrade !)... No practical use.

- --g-fatal-warnings

  Make all GTK+ warnings fatal. Xdialog does not make such warnings to be issued (if it does, it is a bug, please report it !). But you may encounter GTK+ warnings while using Xdialog if your own GTK+ configuration is wrong (e.g. if you are using a GTK+ theme needing for a specific gtk-engine which is actually missing from your system); in this case you will also encounter the same warnings using any other GTK+ application. Using this option will make Xdialog to be killed when a warning is issued rather than reporting this warning on Xdialog stderr (and therefore possibly polluting the strings returned by Xdialog, when the --stderr option is in force). For debugging purpose, no practical use.

- --gtk-module <module>

  For additional module loading. Not needed by Xdialog.

- --gtk-debug <flags>
- --gtk-no-debug <flags>
- --gdk-debug <flags>
- --gdk-no-debug <flags>

  Set/unset GTK/GDK debugging <flags>. For debugging purpose only, no practical use.

previous next contents | top